Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/Messages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/Messages.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/Messages.java	(revision 242)
@@ -9,6 +9,9 @@
 	// The Constant BUNDLE_NAME. 
 	private static final String BUNDLE_NAME = "org.txm.rcpapplication.messages"; //$NON-NLS-1$
 
+	public static String SORT_COLUMN;
+	public static String SORT_DONE;
+
 	public static String About_Menu_Label;
 	public static String AdapterFactory_0;
 	public static String AddBase_1;
@@ -442,48 +445,6 @@
 	public static String ConcordancesEditor_115;
 	public static String ConcordancesEditor_116;
 	public static String ConvertCorpus_0;
-	public static String CoocPreferencePage_0;
-	public static String CoocPreferencePage_1;
-	public static String CoocPreferencePage_11;
-	public static String CoocPreferencePage_12;
-	public static String CoocPreferencePage_2;
-	public static String CoocPreferencePage_3;
-	public static String CoocPreferencePage_4;
-	public static String CoocPreferencePage_5;
-	public static String CoocPreferencePage_6;
-	public static String CoocPreferencePage_8;
-	public static String CooccurrencesEditor_0;
-	public static String CooccurrencesEditor_1;
-
-	public static String CooccurrencesEditor_10;
-	public static String CooccurrencesEditor_11;
-	public static String CooccurrencesEditor_12;
-	public static String CooccurrencesEditor_13;
-	public static String CooccurrencesEditor_14;
-	public static String CooccurrencesEditor_15;
-	public static String CooccurrencesEditor_16;
-	public static String CooccurrencesEditor_17;
-	public static String CooccurrencesEditor_18;
-	public static String CooccurrencesEditor_2;
-	public static String CooccurrencesEditor_20;
-	public static String CooccurrencesEditor_23;
-	public static String CooccurrencesEditor_24;
-
-	public static String CooccurrencesEditor_25;
-	public static String CooccurrencesEditor_27;
-	public static String CooccurrencesEditor_28;
-	public static String CooccurrencesEditor_29;
-	public static String CooccurrencesEditor_3;
-	public static String CooccurrencesEditor_30;
-	public static String CooccurrencesEditor_31;
-	public static String CooccurrencesEditor_32;
-	public static String CooccurrencesEditor_33;
-	public static String CooccurrencesEditor_34;
-	public static String CooccurrencesEditor_4;
-	public static String CooccurrencesEditor_5;
-	public static String CooccurrencesEditor_6;
-	public static String CooccurrencesEditor_8;
-	public static String CooccurrencesEditor_9;
 	public static String CorporaView_0;
 	public static String CorporaView_1;
 	public static String CorporaView_2;
@@ -839,25 +800,6 @@
 	public static String LanguageSwitchHandler_3;
 	public static String LanguageSwitchHandler_5;
 	public static String LanguageSwitchHandler_7;
-	public static String LexicalTableEditor_1;
-	public static String LexicalTableEditor_10;
-	public static String LexicalTableEditor_11;
-	public static String LexicalTableEditor_12;
-	public static String LexicalTableEditor_13;
-	public static String LexicalTableEditor_14;
-	public static String LexicalTableEditor_15;
-	public static String LexicalTableEditor_16;
-	public static String LexicalTableEditor_18;
-	public static String LexicalTableEditor_2;
-	public static String LexicalTableEditor_3;
-	public static String LexicalTableEditor_4;
-	public static String LexicalTableEditor_5;
-	public static String LexicalTableEditor_6;
-	public static String LexicalTableEditor_7;
-	public static String LexicalTableEditor_8;
-	public static String LexicalTablePreferencePage_0;
-	public static String LexicalTablePreferencePage_1;
-	public static String LexicalTable_1;
 	public static String LineLabelProvider_1;
 	public static String LoadBinaryCorpus_0;
 
@@ -1088,18 +1030,6 @@
 
 	public static String RConsole_1;
 
-	public static String RPreferencePage_0;
-	public static String RPreferencePage_1;
-	public static String RPreferencePage_2;
-	public static String RPreferencePage_3;
-	public static String RPreferencePage_4;
-	public static String RPreferencePage_5;
-	public static String RPreferencePage_6;
-	public static String RPreferencePage_7;
-
-	public static String RPreferencePage_8;
-
-	public static String RPreferencePage_9;
 	public static String RVariablesView_1;
 	public static String RVariablesView_2;
 	public static String RVariablesView_9;
@@ -1156,8 +1086,6 @@
 
 	public static String ScriptPreferencePage_1;
 	public static String ScriptPreferencePage_3;
-	public static String SendToR_0;
-	public static String SendToR_3;
 	public static String SetContextSize_1;
 	public static String SetContextSize_2;
 	public static String SetContextSize_3;
@@ -1248,32 +1176,9 @@
 	public static String UserPreferencePage_3;
 	public static String ViewPropertySelectionDialog_0;
 	public static String ViewPropertySelection_0;
-	public static String IndexEditor_0;
-	public static String IndexEditor_1;
-	public static String IndexEditor_10;
-	public static String IndexEditor_2;
-	public static String IndexEditor_20;
-	public static String IndexEditor_22;
-	public static String IndexEditor_25;
-	public static String IndexEditor_26;
-	public static String IndexEditor_27;
-	public static String IndexEditor_28;
-	public static String IndexEditor_29;
-	public static String IndexEditor_3;
-	public static String IndexEditor_31;
-	public static String IndexEditor_33;
-	public static String IndexEditor_36;
-	public static String IndexEditor_37;
-	public static String IndexEditor_4;
-	public static String IndexEditor_5;
-	public static String IndexEditor_6;
-	public static String IndexEditor_7;
-	public static String IndexEditor_8;
-	public static String IndexEditor_9;
 	public static String IndexToCooccurrence_0;
 	public static String IndexToLexicalTable_0;
 
-	public static String IndexToLexicalTable_1;
 	public static String WordCloudPreferencePage_0;
 	public static String WordCloudPreferencePage_1;
 	public static String WordCloudPreferencePage_2;
@@ -1284,33 +1189,6 @@
 	public static String ConcordancesEditor_xpndtmNewExpanditem_text_1;
 	public static String ConcordancesEditor_xpndtmNewExpanditem_text_2;
 
-	public static String CheckRPackages_0;
-	public static String CheckRPackages_1;
-	public static String CheckRPackages_13;
-	public static String CheckRPackages_14;
-	public static String CheckRPackages_15;
-	public static String CheckRPackages_19;
-	public static String CheckRPackages_2;
-	public static String CheckRPackages_20;
-	public static String CheckRPackages_21;
-	public static String CheckRPackages_22;
-	public static String CheckRPackages_23;
-	public static String CheckRPackages_24;
-	public static String CheckRPackages_25;
-	public static String CheckRPackages_26;
-	public static String CheckRPackages_3;
-	public static String CheckRPackages_31;
-	public static String CheckRPackages_32;
-	public static String CheckRPackages_33;
-	public static String CheckRPackages_35;
-	public static String CheckRPackages_36;
-	public static String CheckRPackages_37;
-	public static String CheckRPackages_4;
-	public static String CheckRPackages_42;
-	public static String CheckRPackages_43;
-	public static String CheckRPackages_44;
-	public static String CheckRPackages_5;
-	public static String CheckRPackages_9;
 	public static String CleanPerspective_1;
 	public static String CleanPerspective_2;
 	public static String ExecuteLastGroovyScript_0;
@@ -1327,6 +1205,8 @@
 		//NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
+	public static String SEARCH;
+
 	private Messages() {
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/decorators/RDecorator.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/decorators/RDecorator.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/decorators/RDecorator.java	(revision 242)
@@ -67,11 +67,15 @@
 		}
 		//System.out.println("decorate "+symbol);
 		// Overlay custom image over base image 
-		Image image2;
-		OverlayImageIcon overlayIcon = new OverlayImageIcon(image,  IImageKeys.RDECORATION);
-		image2 = overlayIcon.getImage();
-		return image2;
-
+		try {
+			Image image2;
+			OverlayImageIcon overlayIcon = new OverlayImageIcon(image, IImageKeys.RDECORATION);
+			image2 = overlayIcon.getImage();
+			return image2;
+		}
+		catch(NullPointerException e) {
+		}
+		return null;
 		// The image should be disposed when the plug-in is 
 		// disabled or on shutdown 
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapterFactory.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/adapters/TXMResultAdapterFactory.java	(revision 242)
@@ -22,7 +22,7 @@
 	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapterList()
 	 */
 	@Override
-	@SuppressWarnings("unchecked") //$NON-NLS-1$
+	@SuppressWarnings({"rawtypes" }) //$NON-NLS-1$
 	public Class[] getAdapterList() {
 		return new Class[] { IWorkbenchAdapter.class};
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/CloneTXMResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/CloneTXMResult.java	(revision 241)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/CloneTXMResult.java	(revision 242)
@@ -58,7 +58,7 @@
 			TXMResult srcNode =  ((TXMResult) selection.getFirstElement());
 			TXMResult clone = (TXMResult) srcNode.clone();
 			
-			// hierarchy tests
+			// FIXME: hierarchy tests
 			//srcNode.addChild(clone);
 		}
 		
Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 241)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 242)
@@ -67,14 +67,15 @@
  org.txm.ca.core,
  org.txm.partition.core;bundle-version="1.0.0",
  org.txm.progression.core;bundle-version="1.0.0",
- org.txm.index.core;bundle-version="1.0.0",
  org.txm.lexicaltable.core;bundle-version="1.0.0",
- org.txm.r;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.txm.synopticeditor.rcp;bundle-version="1.0.0",
  org.txm.utils;bundle-version="1.0.0",
  org.txm.cooccurrence.core,
  org.txm.cooccurrence.rcp,
- org.txm.index.rcp;bundle-version="1.0.0"
+ org.txm.index.rcp;bundle-version="1.0.0",
+ org.txm.index.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.rcp
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Export-Package: junit.extensions,
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 241)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 242)
@@ -29,7 +29,6 @@
 
 import java.util.List;
 
-import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.jface.viewers.IStructuredSelection;
@@ -45,8 +44,8 @@
 import org.txm.partition.core.functions.PartitionDimensions;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.partition.rcp.messages.PartitionUIMessages;
+import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcpapplication.IImageKeys;
-import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
@@ -58,7 +57,7 @@
  * @author sjacquot
  * 
  */
-public class ComputePartitionDimensionsBarChart extends AbstractHandler {
+public class ComputePartitionDimensionsBarChart extends BaseAbstractHandler {
 
 
 	// adds a double click listener to the Corpus View
@@ -76,10 +75,10 @@
 		
 		if (!Toolbox.isSearchEngineInitialized()) return false;
 		
-		if (!Toolbox.isStatEngineInitialized()) {
-			System.out.println(Messages.PartsSize_0);
+		if(!this.checkStatsEngine()) {
 			return null;
 		}
+
 		
 		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 241)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 242)
@@ -31,7 +31,6 @@
 import java.util.List;
 
 import org.apache.batik.util.gui.CSSMediaPanel.Dialog;
-import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.core.runtime.IProgressMonitor;
@@ -47,27 +46,27 @@
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.dialogs.ListDialog;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.Toolbox;
 import org.txm.core.preferences.TXMPreferences;
 //import org.txm.functions.queryindex.QueryIndex;
 import org.txm.index.core.functions.Index;
+import org.txm.lexicaltable.core.functions.LexicalTableFactory;
 import org.txm.lexicaltable.core.preferences.LexicalTablePreferences;
-import org.txm.lexicaltable.functions.LexicalTableFactory;
+import org.txm.lexicaltable.core.statsengine.data.LexicalTable;
+import org.txm.lexicaltable.core.statsengine.r.data.LexicalTableImpl;
+import org.txm.lexicaltable.rcp.editors.LexicalTableDialog;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditorInput;
+import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcpapplication.JobsTimer;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.StatusLine;
-import org.txm.rcpapplication.actions.LexicalTableDialog;
 import org.txm.rcpapplication.utils.JobHandler;
 import org.txm.rcpapplication.views.QueriesView;
-import org.txm.rcpapplication.views.RVariablesView;
 import org.txm.rcpapplication.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.stat.data.LexicalTable;
-import org.txm.stat.engine.r.data.LexicalTableImpl;
-import org.txm.stat.engine.r.data.QuantitativeDataStructureImpl;
+import org.txm.statsengine.r.core.data.QuantitativeDataStructureImpl;
+import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.logger.Log;
 // TODO: Auto-generated Javadoc
 /**
@@ -75,7 +74,7 @@
  * the selection is a index : creates a lexical table with the Index
  * entries @ author mdecorde.
  */
-public class ComputeLexicalTable extends AbstractHandler {
+public class ComputeLexicalTable extends BaseAbstractHandler {
 
 	
 	static	{
@@ -105,11 +104,11 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		if (!Toolbox.isStatEngineInitialized()) {
-			System.out.println(Messages.ComputeLexicalTable_4);
+		if(!this.checkStatsEngine()) {
 			return null;
 		}
 
+
 		window = HandlerUtil.getActiveWorkbenchWindow(event);
 		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 
@@ -191,11 +190,10 @@
 						@Override
 						public void run() {
 							IWorkbenchPage page = window.getActivePage();
-							LexicalTableEditorInput editorInput = new LexicalTableEditorInput(
-									table, null, null);
+							LexicalTableEditorInput editorInput = new LexicalTableEditorInput(table);
 							try {
 								StatusLine.setMessage(Messages.ComputeLexicalTable_10);
-								page.openEditor(editorInput, "LexicalTableEditor"); //$NON-NLS-1$
+								page.openEditor(editorInput, LexicalTableEditor2.ID);
 							} catch (PartInitException e) {
 								org.txm.rcpapplication.utils.Logger.printStackTrace(e);
 							} 
@@ -287,8 +285,7 @@
 							@Override
 							public void run() {
 								IWorkbenchPage page = window.getActivePage();
-								LexicalTableEditorInput editorInput = new LexicalTableEditorInput(
-										table, partition, property);
+								LexicalTableEditorInput editorInput = new LexicalTableEditorInput(table);
 								try {
 									StatusLine.setMessage(Messages.ComputeLexicalTable_10);
 									page.openEditor(editorInput, LexicalTableEditor2.ID); //$NON-NLS-1$
@@ -464,7 +461,6 @@
 			}
 		}
 		
-		final Partition partition = firstIndex.getPartition();
 		final Property property = properties.get(0);
 
 		JobHandler jobhandler = new JobHandler(Messages.bind(Messages.ComputeLexicalTable_0, firstIndex.getName())) {
@@ -474,9 +470,7 @@
 				try {
 					monitor.beginTask("Computing Lexical table with Index: "+firstIndex+" property: "+property, 100);
 					this.acquireSemaphore();
-					table = LexicalTableImpl.createLexicalTableImpl(vocabularies,
-							QuantitativeDataStructureImpl
-							.createSymbole(LexicalTableImpl.class), useAllOccurrences);
+					table = LexicalTableImpl.createLexicalTableImpl(vocabularies, QuantitativeDataStructureImpl.createSymbole(LexicalTableImpl.class), useAllOccurrences);
 					monitor.worked(45);
 					this.releaseSemaphore();
 					if (monitor.isCanceled() || table == null)
@@ -490,8 +484,7 @@
 						@Override
 						public void run() {
 							IWorkbenchPage page = window.getActivePage();
-							LexicalTableEditorInput editorInput = new LexicalTableEditorInput(
-									table, partition, property);
+							LexicalTableEditorInput editorInput = new LexicalTableEditorInput(table);
 							try {
 								StatusLine.setMessage(Messages.ComputeLexicalTable_10);
 								page.openEditor(editorInput,
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/___MergeCols.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/___MergeCols.java	(revision 241)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/___MergeCols.java	(revision 242)
@@ -39,10 +39,10 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.lexicaltable.core.statsengine.data.LexicalTable;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
 import org.txm.rcpapplication.Messages;
-import org.txm.stat.StatException;
-import org.txm.stat.data.LexicalTable;
+import org.txm.statsengine.core.StatException;
 /**
  * The Class MergeCols.
  */
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java	(revision 241)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/preferences/LexicalTablePreferencePage.java	(revision 242)
@@ -31,12 +31,12 @@
 import org.eclipse.ui.IWorkbench;
 import org.txm.lexicaltable.core.preferences.LexicalTablePreferences;
 import org.txm.lexicaltable.rcp.adapters.LexicalTableAdapterFactory;
+import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
-import org.txm.rcpapplication.Messages;
 
 /**
- * Lexical Table preference page.
+ * Lexical Table preferences page.
  * @author mdecorde
  * @author sjacquot
  *
@@ -47,7 +47,7 @@
 	@Override
 	public void createFieldEditors() {
 		
-		IntegerFieldEditor fmin = new IntegerFieldEditor(LexicalTablePreferences.F_MIN, Messages.LexicalTablePreferencePage_1, this.getFieldEditorParent()); 
+		IntegerFieldEditor fmin = new IntegerFieldEditor(LexicalTablePreferences.F_MIN, LexicalTableUIMessages.LexicalTablePreferencePage_1, this.getFieldEditorParent()); 
 		fmin.setValidRange(1, 999999999);
 		
 		IntegerFieldEditor vmax = new IntegerFieldEditor(LexicalTablePreferences.V_MAX, "vmax", this.getFieldEditorParent()); 
@@ -61,8 +61,7 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(LexicalTablePreferences.PREFERENCES_NODE));
-		//this.setDescription(Messages.LexicalTablePreferencePage_0);
-		this.setTitle(Messages.LexicalTablePreferencePage_0);
+		this.setTitle(LexicalTableUIMessages.LexicalTablePreferencePage_0);
 		this.setImageDescriptor(LexicalTableAdapterFactory.ICON);
 	}
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/LexicalTableAdapterFactory.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/LexicalTableAdapterFactory.java	(revision 241)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/LexicalTableAdapterFactory.java	(revision 242)
@@ -5,9 +5,9 @@
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
+import org.txm.lexicaltable.core.statsengine.data.LexicalTable;
 import org.txm.rcp.adapters.TXMResultAdapter;
 import org.txm.rcp.adapters.TXMResultAdapterFactory;
-import org.txm.stat.data.LexicalTable;
 
 
 /**
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 0)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 242)
@@ -0,0 +1,40 @@
+package org.txm.lexicaltable.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
+
+public class LexicalTableUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.lexicaltable.rcp.messages.messages"; //$NON-NLS-1$
+
+
+	public static String LexicalTableEditor_1;
+	public static String LexicalTableEditor_10;
+	public static String LexicalTableEditor_11;
+	public static String LexicalTableEditor_12;
+	public static String LexicalTableEditor_13;
+	public static String LexicalTableEditor_14;
+	public static String LexicalTableEditor_15;
+	public static String LexicalTableEditor_16;
+	public static String LexicalTableEditor_18;
+	public static String LexicalTableEditor_4;
+	public static String LexicalTableEditor_5;
+	public static String LexicalTableEditor_6;
+	public static String LexicalTableEditor_7;
+	public static String LexicalTableEditor_8;
+	public static String LexicalTablePreferencePage_0;
+	public static String LexicalTablePreferencePage_1;
+
+	//FIXME: unused keys
+	public static String LexicalTableEditor_2;
+	public static String LexicalTableEditor_3;
+	// end of fixme
+	
+	static {
+		// initialize resource bundle
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, LexicalTableUIMessages.class);
+	}
+
+	private LexicalTableUIMessages() {
+	}
+}

Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java	(revision 0)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java	(revision 242)
@@ -0,0 +1,252 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.lexicaltable.rcp.editors;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.jface.dialogs.MessageDialog;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Combo;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.swt.widgets.Spinner;
+import org.txm.ca.core.preferences.CAPreferences;
+import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
+import org.txm.rcpapplication.Messages;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Property;
+/**
+ * Retrieve the property analysis to be used for computing correspondence
+ * analysis. and also the max number of entries and their minimal frequency
+ * 
+ * @author sjacquot
+ * @author sloiseau
+ * 
+ */
+public class LexicalTableDialog extends Dialog {
+
+	/** The property. */
+	private Property property;
+	
+	/** The properties. */
+	private List<Property> properties;
+	
+	/** The ana prop combo. */
+	private Combo anaPropCombo;
+	
+	/** The fmin label. */
+	Label fminLabel;
+	
+	/** The maxlines label. */
+	Label maxlinesLabel;
+	
+	/** The maxlines spinner. */
+	Spinner maxlinesSpinner;
+	
+	/** The fmin spinner. */
+	Spinner fminSpinner;
+	
+	/** The corpus. */
+	Corpus corpus;
+
+	/** The title. */
+	String title;
+	
+	/** The mess. */
+	String mess;
+	
+	/** The max, default value read from CA preferences. */
+	private int vmax = TXMPreferences.getInt(CAPreferences.PREFERENCES_NODE, CAPreferences.V_MAX);
+	
+	/** The fmin, default value read from CA preferences. */
+	private int fmin = TXMPreferences.getInt(CAPreferences.PREFERENCES_NODE, CAPreferences.F_MIN);
+
+	/**
+	 * Instantiates a new compute correspondence analysis dialog.
+	 *
+	 * @param parentShell the parent shell
+	 * @param corpus the corpus
+	 */
+	public LexicalTableDialog(Shell parentShell, Corpus corpus, String title) {
+		super(parentShell);
+		try {
+			this.corpus = corpus;
+			this.title = title;
+			this.properties = new ArrayList<Property>(corpus.getOrderedProperties());
+		} catch (CqiClientException e) {
+			org.txm.rcpapplication.utils.Logger.printStackTrace(e);
+		}
+	}
+
+	/**
+	 * Instantiates a new compute correspondence analysis dialog.
+	 *
+	 * @param parentShell the parent shell
+	 * @param corpus the corpus
+	 * @param title the title
+	 * @param mess the mess
+	 */
+	public LexicalTableDialog(Shell parentShell,
+			Corpus corpus, String title, String mess) {
+		super(parentShell);
+		this.corpus = corpus;
+		this.title = title;
+		this.mess = mess;
+		try {
+			this.properties = new ArrayList<Property>(corpus.getOrderedProperties());
+		} catch (CqiClientException e) {
+			org.txm.rcpapplication.utils.Logger.printStackTrace(e);
+		}
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.window.Window#configureShell(org.eclipse.swt.widgets.Shell)
+	 */
+	@Override
+	protected void configureShell(Shell newShell) {
+		super.configureShell(newShell);
+		newShell.setText(LexicalTableUIMessages.LexicalTablePreferencePage_0);
+		if (title != null)
+			newShell.setText(title);
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	protected Control createDialogArea(Composite parent) {
+		Composite composite = new Composite(parent, SWT.NONE);
+		GridLayout layout = new GridLayout(2, false);
+		composite.setLayout(layout);
+
+		Label anaPropLabel = new Label(composite, SWT.NONE);
+		if (mess != null)
+			anaPropLabel.setText(mess);
+		else
+			anaPropLabel
+					.setText(Messages.Property);
+		anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
+				false, false));
+
+		anaPropCombo = new Combo(composite, SWT.READ_ONLY);
+		anaPropCombo.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				true, false));
+		int iword= 0;
+		int i = 0;
+		for (Property p : properties) {
+			anaPropCombo.add(p.getName());
+			if (p.getName().equals("word")) //$NON-NLS-1$
+				iword=i;
+			i++;
+		}
+		anaPropCombo.select(iword);
+
+		maxlinesLabel = new Label(composite, SWT.NONE);
+		maxlinesLabel.setText(Messages.NumberOfLines);
+		maxlinesLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
+				true, false));
+		maxlinesSpinner = new Spinner(composite, SWT.BORDER);
+		maxlinesSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+		maxlinesSpinner.setMaximum(9999999);
+		maxlinesSpinner.setMinimum(1);
+		maxlinesSpinner.setSelection(9999999);
+		maxlinesSpinner.setSelection(vmax);
+		
+		fminLabel = new Label(composite, SWT.NONE);
+		fminLabel.setText(TXMCoreMessages.FMIN_1);
+		fminLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
+				true, false));
+		fminSpinner = new Spinner(composite, SWT.BORDER);
+		fminSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+		fminSpinner.setMaximum(9999999);
+		fminSpinner.setMinimum(1);
+		fminSpinner.setSelection(fmin);
+
+		return composite;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.dialogs.Dialog#okPressed()
+	 */
+	@Override
+	protected void okPressed() {
+		int propIndex = anaPropCombo.getSelectionIndex();
+		if (propIndex == -1) {
+			MessageDialog.openError(getShell(),
+					Messages.Invalid_analysis_property,
+					Messages.Structure_field_not_empty);
+			return;
+		}
+		property = properties.get(propIndex);
+
+		vmax = maxlinesSpinner.getSelection();
+		fmin = fminSpinner.getSelection();
+		super.okPressed();
+	}
+
+	/**
+	 * Gets the property.
+	 *
+	 * @return the property
+	 */
+	public Property getProperty() {
+		return property;
+	}
+
+	/**
+	 * Gets the fmin.
+	 *
+	 * @return the fmin
+	 */
+	public int getFmin() {
+		return fmin;
+	}
+
+	/**
+	 * Gets the max lines.
+	 *
+	 * @return the max lines
+	 */
+	public int getMaxLines() {
+		return vmax;
+	}
+	
+	public void setFminAndVMax(int fmin, int vmax) {
+		this.fmin = fmin;
+		this.vmax = vmax;
+	}
+}

